package meerkat.voting.controller.commands;

/**
 * This is the base class for the controller commands.
 * These commands are registered in a command queue of the controller.
 */
public abstract class ControllerCommand {
    protected final int requestIdentifier;
    protected final long ballotSerialNumber;

    protected ControllerCommand(int requestIdentifier, long ballotSerialNumber) {
        this.requestIdentifier = requestIdentifier;
        this.ballotSerialNumber = ballotSerialNumber;
    }

    public long getBallotSerialNumber () {
        return this.ballotSerialNumber;
    }

    public int getRequestIdentifier () {
        return this.requestIdentifier;
    }
}
